darcs-2.12.5: a distributed, interactive, smart revision control system

Copyright | 2008 Dmitry Kurochkin <dmitry.kurochkin@gmail.com>
License | GPL
Maintainer | darcs-devel@darcs.net
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Darcs.Util.Download

Description

Synopsis

- copyUrl :: String -> FilePath -> Cachable -> IO ()
- copyUrlFirst :: String -> FilePath -> Cachable -> IO ()
- setDebugHTTP :: IO ()
- disableHTTPPipelining :: IO ()
- maxPipelineLength :: IO Int
- waitUrl :: String -> IO ()
- data Cachable
  - = Cachable
  - | Uncachable
  - | MaxAge !CInt
- environmentHelpProxy :: ([String], [String])
- environmentHelpProxyPassword :: ([String], [String])
- data ConnectionError
  - = CouldNotResolveHost
  - | CouldNotConnectToServer
  - | OperationTimeout

# Documentation

copyUrl :: String -> FilePath -> Cachable -> IO () #

copyUrlFirst :: String -> FilePath -> Cachable -> IO () #

setDebugHTTP :: IO () #

disableHTTPPipelining :: IO () #

maxPipelineLength :: IO Int #

waitUrl :: String -> IO () #

data Cachable #

Constructors

Cachable |
Uncachable |
MaxAge !CInt |

Instances

Eq Cachable # |
Methods (==) :: Cachable -> Cachable -> Bool # (/=) :: Cachable -> Cachable -> Bool #
Show Cachable # |
Methods showsPrec :: Int -> Cachable -> ShowS # show :: Cachable -> String # showList :: [Cachable] -> ShowS #

environmentHelpProxy :: ([String], [String]) #

environmentHelpProxyPassword :: ([String], [String]) #

data ConnectionError #

Data type to represent a connection error. The following are the codes from libcurl which map to each of the constructors: * 6 -> CouldNotResolveHost : The remote host was not resolved. * 7 -> CouldNotConnectToServer : Failed to connect() to host or proxy. * 28 -> OperationTimeout: the specified time-out period was reached.

Constructors

CouldNotResolveHost |
CouldNotConnectToServer |
OperationTimeout |

Instances

Eq ConnectionError # |
Methods (==) :: ConnectionError -> ConnectionError -> Bool # (/=) :: ConnectionError -> ConnectionError -> Bool #
Read ConnectionError # |
Methods readsPrec :: Int -> ReadS ConnectionError # readList :: ReadS [ConnectionError] # readPrec :: ReadPrec ConnectionError # readListPrec :: ReadPrec [ConnectionError] #
Show ConnectionError # |
Methods showsPrec :: Int -> ConnectionError -> ShowS # show :: ConnectionError -> String # showList :: [ConnectionError] -> ShowS #